#!/bin/bash
### BEGIN INIT INFO
# Provides:          invirt-xen-config
# Required-Start:    $local_fs $remote_fs
# Required-Stop:     $local_fs $remote_fs
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Startup script for the Invirt Xen host
# Description:       
### END INIT INFO

PACKAGE=invirt-xen-config
NAME="$PACKAGE"
DESC="Startup script for the Invirt Xen host"
PARENTPACKAGE=xend
GEN_FILES=/etc/xen/xend-config.sxp.invirt

dpkg -s "$PACKAGE" >/dev/null 2>/dev/null || exit 0

. /lib/init/gen-files.sh
. /lib/init/std-init.sh

do_startup() {
    gen_files
    
    echo 1 >/proc/sys/net/ipv4/ip_forward
    for i in all default; do
        echo 1 >/proc/sys/net/ipv4/conf/$i/rp_filter
        echo 1 >/proc/sys/net/ipv4/conf/$i/proxy_arp
    done
    
    invoke-rc.d "$PARENTPACKAGE" "$1"
}

do_start() {
    do_startup "start"
}

do_reload() {
    do_startup "reload"
}

do_stop() {
    invoke-rc.d "$PARENTPACKAGE" stop
}

std_init "$1"
